Bug 13692 - Series link is only using 800a instead of 800t
Summary: Series link is only using 800a instead of 800t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P3 major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21589
  Show dependency treegraph
 
Reported: 2015-02-10 15:38 UTC by Nicole C. Engard
Modified: 2018-10-17 18:38 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
series link (35.21 KB, image/png)
2015-02-10 15:38 UTC, Nicole C. Engard
Details
series in marc (26.04 KB, image/png)
2015-02-10 15:38 UTC, Nicole C. Engard
Details
Bug 13692: series link is taking you to just 800a instead of whole 800 (3.03 KB, patch)
2018-08-03 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13692: series link is taking you to just 800a instead of whole 800 (3.10 KB, patch)
2018-09-15 18:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 13692: series link is taking you to just 800a instead of whole 800 (3.15 KB, patch)
2018-09-16 16:50 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-02-10 15:38:15 UTC
Created attachment 35799 [details]
series link

See attached. When you click a series link in the staff client it does a search for the series author only 800a - instead of the series as it implies.  It should probably search 800t if it can be only one subfield, but it should really be a & t
Comment 1 Nicole C. Engard 2015-02-10 15:38:30 UTC
Created attachment 35800 [details]
series in marc
Comment 2 NancyK. 2015-09-21 16:24:10 UTC
I think this bug needs to be fixed.  It negatively affects searching and should not be ignored.  Thanks

NancyK
Comment 3 Jonathan Druart 2015-09-22 10:04:02 UTC
From what I understand, the link is built using fields 440 to 490, for MARC21.
Comment 4 Owen Leonard 2018-08-03 15:19:34 UTC
Created attachment 77474 [details] [review]
Bug 13692: series link is taking you to just 800a instead of whole 800

This patch modifies the OPAC and staff client's XSL template for the
detail page so that series links based on a traced 490 tag use both
author and series title from the 800 tag.

To test you should have multiple titles in the same series with matching
490 and 800 tags in each record. Apply the patch and restart Plack if
necessary.

View the detail page for one of the series' titles. The "Series:" link
should link to a search which uses both series title and author.
Clicking the link should return the correct results.

Test both the OPAC and staff client.
Comment 5 Caroline Cyr La Rose 2018-08-03 20:56:15 UTC
Ok, so I have two records in my catalog by the same author, but the series is different (there is one word that is the same in both series titles).

- Anne Robillard - Les chevaliers d'Antarès
- Anne Robillard - Les chevaliers d'Émeraude

The first record has a 800 but if I click on it, I get the second record which isn't the same series. 

Since it's a search and not a link to an authority, it might just be how zebra works. He thinks it's mostly the same and that's good enough for him.

What do you think?
Comment 6 Katrin Fischer 2018-08-08 18:17:49 UTC
Hi Caroline, can you share how the links look like behind the series entry? 

I wonder if it might have something to do with us not properly escaping things.
Comment 7 Katrin Fischer 2018-08-08 20:15:49 UTC
I wonder if I made a thinking error here when we talked about it. We look for the series title in ser - which should work ok. But looking for the author in au probably shouldn't work.

800$a is not in the au index:

1047   <index_subfields tag="800" subfields="a">
1048     <target_index>Name-and-title:w</target_index>
1049     <target_index>Title-series:w</target_index>
1050     <target_index>Title-series:p</target_index>
1051   </index_subfields>

1053   <index_subfields tag="800" subfields="t">
1054     <target_index>Author-title:w</target_index>
1055     <target_index>Name-and-title:w</target_index>
1056     <target_index>Title:w</target_index>
1057     <target_index>Title-series:w</target_index>
1058     <target_index>Title-series:p</target_index>
1059   </index_subfields>

... but it does kind of work... which is odd.

Maybe as both are in Title-series it should be something like:

localhost:8081/cgi-bin/koha/catalogue/search.pl?idx=se,phr&q=+Martin%2C+Robert+C.&op=and&idx=se,phr&q=Robert+C.+Martin+series
Comment 8 ByWater Sandboxes 2018-09-15 18:46:52 UTC
Created attachment 78874 [details] [review]
Bug 13692: series link is taking you to just 800a instead of whole 800

This patch modifies the OPAC and staff client's XSL template for the
detail page so that series links based on a traced 490 tag use both
author and series title from the 800 tag.

To test you should have multiple titles in the same series with matching
490 and 800 tags in each record. Apply the patch and restart Plack if
necessary.

View the detail page for one of the series' titles. The "Series:" link
should link to a search which uses both series title and author.
Clicking the link should return the correct results.

Test both the OPAC and staff client.

Signed-off-by: John Sterbenz <jsterben@umich.edu>
Comment 9 Chris Cormack 2018-09-16 16:50:45 UTC
Created attachment 78936 [details] [review]
Bug 13692: series link is taking you to just 800a instead of whole 800

This patch modifies the OPAC and staff client's XSL template for the
detail page so that series links based on a traced 490 tag use both
author and series title from the 800 tag.

To test you should have multiple titles in the same series with matching
490 and 800 tags in each record. Apply the patch and restart Plack if
necessary.

View the detail page for one of the series' titles. The "Series:" link
should link to a search which uses both series title and author.
Clicking the link should return the correct results.

Test both the OPAC and staff client.

Signed-off-by: John Sterbenz <jsterben@umich.edu>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 10 Nick Clemens 2018-09-16 18:27:08 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-09-17 14:38:49 UTC
Pushed to 18.05.x for 18.05.04
Comment 12 Fridolin SOMERS 2018-09-24 10:24:07 UTC
Pushed to 17.11.x for 17.11.10